.bhcar-popup {
  position: fixed;
  width: calc(100% - 88px);
  left: 0;
  right: 0;
  bottom: 32px;
  margin: auto;
  justify-content: space-between;
  align-items: center;
  border-radius: 20px;
  padding: 24px;
  backdrop-filter: blur(20px);
  background: linear-gradient(
    136deg,
    rgba(255, 255, 255, 0.4) 0%,
    rgba(255, 255, 255, 0) 100%
  );
  display: none;
  gap: 32px;
  z-index: 999;
}

.bhcar-popup.--opened {
  display: flex;
}

.bhcar-popup__content {
  display: flex;
  align-items: center;
  gap: 11px;
}

.bhcar-popup__title {
  font-family: "Inter", sans-serif;
  font-weight: 700;
  font-size: 16px;
  line-height: 133%;
  letter-spacing: -0.01em;
  color: #fff;
  margin: 0;
  display: flex;
  align-items: center;
  gap: 11px;
}

.bhcar-popup__text {
  font-family: "Inter", sans-serif;
  font-weight: 600;
  font-size: 14px;
  line-height: 120%;
  letter-spacing: -0.01em;
  text-align: center;
  color: #fff;
  margin: 0 0 0 21px;
}

.bhcar-popup__button {
  border-radius: 8px;
  padding: 8px 12px;
  background: #050505;
  border: 1px solid #e22415;
  display: flex;
  gap: 8px;
  align-items: center;
  cursor: pointer;

  position: relative;
  overflow: hidden;
  z-index: 1;
  transition: color 0.3s ease;
  flex-shrink: 0;
}

.bhcar-popup__button::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  height: 100%;
  width: 0;
  background-color: #e2231542;
  z-index: -1;
  transition: width 0.4s ease;
}

.bhcar-popup__button:hover::after {
  width: 100%;
}

.bhcar-popup__button > span {
  font-family: "Inter", sans-serif;
  font-weight: 600;
  font-size: 14px;
  line-height: 150%;
  letter-spacing: -0.01em;
  text-align: center;
  color: #fff;
}

.bhcar-popup__controls {
  display: flex;
  align-items: center;
  flex-shrink: 0;
  gap: 80px;
}

.bhCarClosePopup {
  display: flex;
  border: none;
  outline: none;
  background: transparent;
  padding: 0;
  margin: 0;
  cursor: pointer;
}

.bhcar-popup__content > svg,
.bhCarClosePopup {
  flex-shrink: 0;
}

.bhCarClosePopup.--mobile {
  display: none;
}

@media (max-width: 1300px) {
  .bhcar-popup__controls {
    gap: 20px;
  }
}

@media (max-width: 950px) {
  .bhcar-popup__text {
    margin-left: 0;
  }

  .bhcar-popup,
  .bhcar-popup__content {
    flex-direction: column;
  }
}

@media (max-width: 768px) {
  .bhcar-popup__title {
    font-size: 15px;
  }

  .bhcar-popup__text {
    font-size: 13px;
  }

  .bhcar-popup {
    width: 100%;
    box-shadow: inset -5px -5px 250px 0 rgba(255, 255, 255, 0.02);
    gap: 16px;
  }

  .bhcar-popup__button > span {
    font-size: 14px;
  }

  .bhCarClosePopup {
    display: none;
  }

  .bhcar-popup__content {
    align-items: flex-start;
    position: relative;
    padding-right: 20px;
  }

  .bhcar-popup__text {
    text-align: start;
  }

  .bhcar-popup {
    align-items: flex-start;
    border-radius: 16px;
  }

  .bhCarClosePopup {
    display: none;
  }

  .bhCarClosePopup.--mobile {
    display: block;
    position: absolute;
    right: 0;
    top: 0;
  }
}
